module FA8( s, co, a, b, ci);
	
	input[7:0]		a, b;
	output[7:0] s;
	input						ci;
	output						co;
	wire						w1, w2, w3, w4, w5, w6, w7;

	FA1 fa1 ( s[0], w1, a[0], b[0], ci);
	FA1 fa2 ( s[1], w2, a[1], b[1], w1);
	FA1 fa3 ( s[2], w3, a[2], b[2], w2);
	FA1 fa4 ( s[3], w4, a[3], b[3], w3);
	FA1 fa5 ( s[4], w5, a[4], b[4], w4);
	FA1 fa6 ( s[5], w6, a[5], b[5], w5);
	FA1 fa7 ( s[6], w7, a[6], b[6], w6);
	FA1 fa8 ( s[7], co, a[7], b[7], w7);

endmodule
