module MUX_4_to_1( out, s, a, b, c, d);

	input[1:0]		s;
	input						a, b, c, d;
	output						out;
	wire[1:0]			ns;
	wire						w1, w2, w3, w4;

	//~
	nand ( ns[0], s[0], s[0]);
	nand ( ns[1], s[1], s[1]);

	//All
	nand ( w1, d, s[1], s[0]);
	nand ( w2, c, s[1], ns[0]);
	nand ( w3, b, ns[1], s[0]);
	nand ( w4, a, ns[1], ns[0]);
	nand ( out, w1, w2, w3, w4);

endmodule